Export a Session as Harbor ATIF
curl --request POST \
--url https://api.checkfu.com/v1/sessions/{id}/trajectories/atif \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"selector": {
"owner_type": "session"
}
}
'import requests
url = "https://api.checkfu.com/v1/sessions/{id}/trajectories/atif"
payload = { "selector": { "owner_type": "session" } }
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({selector: {owner_type: 'session'}})
};
fetch('https://api.checkfu.com/v1/sessions/{id}/trajectories/atif', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "exported",
"trajectory": {
"schema_version": "ATIF-v1.8",
"agent": {
"name": "<string>",
"version": "<string>",
"model_name": "<string>",
"tool_definitions": [
{}
],
"extra": {}
},
"steps": [
{
"step_id": 2,
"source": "system",
"message": "<string>",
"timestamp": "<string>",
"model_name": "<string>",
"reasoning_content": "<string>",
"tool_calls": [
{
"tool_call_id": "<string>",
"function_name": "<string>",
"arguments": {},
"extra": {}
}
],
"observation": {
"results": [
{
"source_call_id": "<string>",
"content": "<string>",
"subagent_trajectory_ref": [
{
"trajectory_id": "<string>",
"session_id": "<string>",
"trajectory_path": "<string>",
"extra": {}
}
],
"extra": {}
}
]
},
"metrics": {
"prompt_tokens": 123,
"completion_tokens": 123,
"cached_tokens": 123,
"cost_usd": 123,
"extra": {}
},
"is_copied_context": true,
"llm_call_count": 1,
"extra": {}
}
],
"session_id": "<string>",
"trajectory_id": "<string>",
"notes": "<string>",
"final_metrics": {
"total_prompt_tokens": 123,
"total_completion_tokens": 123,
"total_cached_tokens": 123,
"total_cost_usd": 123,
"total_steps": 1,
"extra": {}
},
"continued_trajectory_ref": "<string>",
"extra": {},
"subagent_trajectories": [
{}
]
},
"report": {
"exporter_version": "checkfu.session-atif/1",
"schema_version": "ATIF-v1.8",
"upstream": {
"package": "harbor",
"version": "0.23.0",
"wheel": "harbor-0.23.0-py3-none-any.whl",
"wheel_sha256": "8747400dbb2a5e2298e1338e17e88eba38433c0433fd700f34d1a9021bba5c37"
},
"source_boundary": {
"lifecycle": "open",
"closing_event_id": null,
"closing_event_type": null
},
"through_sequence": 123,
"positions": 123,
"represented_positions": 123,
"steps": 123,
"copied_context_steps": 123,
"model_call_steps": 123,
"subagent_trajectories": 123,
"losses": [
{
"reason": "content_unavailable",
"count": 123
}
],
"sft_eligibility": {
"accepted": false,
"reasons": [
"learning_disallowed"
],
"not_evaluated": "selection_exceeds_receipt_bound"
},
"native_resume": "not_supported",
"restores_files": false,
"rl_environment": false
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Export a Session as Harbor ATIF
Exports one Session conversation (the Session, a thread, or the primary thread) as an ATIF-v1.8 trajectory pinned to the Harbor 0.23.0 schema, frozen at…
POST
/
v1
/
sessions
/
{id}
/
trajectories
/
atif
Export a Session as Harbor ATIF
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^sess_[0-9a-f]{32}$Body
application/json
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes